Bug 1087740 - Review Request: php-horde-nag - A web based task list manager
Summary: Review Request: php-horde-nag - A web based task list manager
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1087046
Blocks: 1087772
TreeView+ depends on / blocked
 
Reported: 2014-04-15 08:06 UTC by Remi Collet
Modified: 2014-06-11 23:36 UTC (History)
2 users (show)

Fixed In Version: php-horde-nag-4.1.4-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-17 05:04:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2014-04-15 08:06:18 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/0da95f1c59a2417fefba936395012875abaeb2c8/php/horde/php-horde-nag/php-horde-nag.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-nag-4.1.4-1.remi.src.rpm
Description: 
Nag is a web-based application built upon the Horde Application Framework
which provides a simple, clean interface for managing online task lists
(i.e., todo lists). It also includes strong integration with the other
Horde applications and allows users to share task lists or enable
light-weight project management.


Fedora Account System Username: remi

Comment 1 Pavel Alexeev 2014-05-16 10:55:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 101 files have unknown license. Detailed output
     of licensecheck in /home/pasha/SOFT/Review/php-horde-nag/1087740-php-
     horde-nag/licensecheck.txt

Why GPLv2+? README said:
Licensing
=========
For licensing and copyright information, please see the file COPYING_ in the
Nag distribution.

There no COPYING_ file, COPYING contain GPLv2 license, but some files (like a data.php, index.php) contain header:
 * Copyright 2001-2013 Horde LLC (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.horde.org/licenses/gpl

So GPLv2 deducted.

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/horde
Require horde needed.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
Please replace:
%setup -q -c -T
tar xif %{SOURCE0}
just by:
%setup -qcn %{pear_name}-%{version}

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
Other legacy stuff cleanup required also if it is not targeted to EL-5
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
Please run tests in %check
[!]: Packages should try to preserve timestamps of original installed files.
Timestamp on package.xml mangled in %prep did not preserved.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-horde-nag-4.1.4-1.fc21.noarch.rpm
          php-horde-nag-4.1.4-1.fc21.src.rpm
php-horde-nag.noarch: W: spelling-error %description -l en_US todo -> too, dodo, to do
php-horde-nag.noarch: W: conffile-without-noreplace-flag /etc/horde/nag/conf.xml
php-horde-nag.noarch: W: conffile-without-noreplace-flag /etc/horde/nag/hooks.php.dist
php-horde-nag.noarch: W: conffile-without-noreplace-flag /etc/horde/nag/menu.php.dist
php-horde-nag.noarch: E: non-readable /etc/horde/nag/conf.xml 0660L
php-horde-nag.noarch: E: non-readable /etc/horde/nag/hooks.php.dist 0640L
php-horde-nag.noarch: E: non-readable /etc/horde/nag/menu.php.dist 0640L
php-horde-nag.noarch: E: non-readable /etc/horde/nag/prefs.php 0660L
php-horde-nag.noarch: E: zero-length /usr/share/horde/nag/tasklists/index.html
php-horde-nag.noarch: E: non-readable /etc/horde/nag/routes.php 0660L
php-horde-nag.noarch: E: non-standard-dir-perm /etc/horde/nag 0770L
php-horde-nag.noarch: W: no-manual-page-for-binary nag-convert-datatree-shares-to-sql
php-horde-nag.noarch: W: no-manual-page-for-binary nag-create-missing-add-histories-sql
php-horde-nag.noarch: W: no-manual-page-for-binary nag-import-vtodos
php-horde-nag.noarch: W: no-manual-page-for-binary nag-convert-sql-shares-to-sqlng
php-horde-nag.noarch: W: install-file-in-docs /usr/share/doc/pear/nag/INSTALL
php-horde-nag.src: W: spelling-error %description -l en_US todo -> too, dodo, to do
2 packages and 0 specfiles checked; 7 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-horde-nag
php-horde-nag.noarch: W: spelling-error %description -l en_US todo -> too, dodo, to do
php-horde-nag.noarch: W: conffile-without-noreplace-flag /etc/horde/nag/conf.xml
php-horde-nag.noarch: W: conffile-without-noreplace-flag /etc/horde/nag/hooks.php.dist
php-horde-nag.noarch: W: conffile-without-noreplace-flag /etc/horde/nag/menu.php.dist
php-horde-nag.noarch: E: non-readable /etc/horde/nag/conf.xml 0660L
php-horde-nag.noarch: E: non-readable /etc/horde/nag/hooks.php.dist 0640L
php-horde-nag.noarch: E: non-readable /etc/horde/nag/menu.php.dist 0640L
php-horde-nag.noarch: E: non-readable /etc/horde/nag/prefs.php 0660L
php-horde-nag.noarch: E: zero-length /usr/share/horde/nag/tasklists/index.html
php-horde-nag.noarch: E: non-readable /etc/horde/nag/routes.php 0660L
php-horde-nag.noarch: E: non-standard-dir-perm /etc/horde/nag 0770L
php-horde-nag.noarch: W: no-manual-page-for-binary nag-convert-datatree-shares-to-sql
php-horde-nag.noarch: W: no-manual-page-for-binary nag-create-missing-add-histories-sql
php-horde-nag.noarch: W: no-manual-page-for-binary nag-import-vtodos
php-horde-nag.noarch: W: no-manual-page-for-binary nag-convert-sql-shares-to-sqlng
php-horde-nag.noarch: W: install-file-in-docs /usr/share/doc/pear/nag/INSTALL
1 packages and 0 specfiles checked; 7 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-horde-nag (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pear
    /usr/bin/php
    config(php-horde-nag)
    httpd
    mod_php
    php(language)
    php-channel(pear.horde.org)
    php-date
    php-gettext
    php-json
    php-pcre
    php-pear(PEAR)
    php-pear(pear.horde.org/Horde_Auth)
    php-pear(pear.horde.org/Horde_Core)
    php-pear(pear.horde.org/Horde_Data)
    php-pear(pear.horde.org/Horde_Date)
    php-pear(pear.horde.org/Horde_Date_Parser)
    php-pear(pear.horde.org/Horde_Dav)
    php-pear(pear.horde.org/Horde_Exception)
    php-pear(pear.horde.org/Horde_Form)
    php-pear(pear.horde.org/Horde_Group)
    php-pear(pear.horde.org/Horde_History)
    php-pear(pear.horde.org/Horde_Icalendar)
    php-pear(pear.horde.org/Horde_Mail)
    php-pear(pear.horde.org/Horde_Mime)
    php-pear(pear.horde.org/Horde_Perms)
    php-pear(pear.horde.org/Horde_Prefs)
    php-pear(pear.horde.org/Horde_Role)
    php-pear(pear.horde.org/Horde_Routes)
    php-pear(pear.horde.org/Horde_Share)
    php-pear(pear.horde.org/Horde_Support)
    php-pear(pear.horde.org/Horde_Text_Filter)
    php-pear(pear.horde.org/Horde_Url)
    php-pear(pear.horde.org/Horde_Util)
    php-pear(pear.horde.org/Horde_View)
    php-pear(pear.horde.org/content)
    php-pear(pear.horde.org/horde)
    php-session
    php-spl



Provides
--------
php-horde-nag:
    config(php-horde-nag)
    php-horde-nag
    php-pear(pear.horde.org/nag)



Source checksums
----------------
http://pear.horde.org/get/nag-4.1.4.tgz :
  CHECKSUM(SHA256) this package     : 6259b5a1c436712dfad82eb6cb08ad1cb509e9779641d0c4dd06ba81697b6639
  CHECKSUM(SHA256) upstream package : 6259b5a1c436712dfad82eb6cb08ad1cb509e9779641d0c4dd06ba81697b6639


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1087740
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Remi Collet 2014-05-16 11:22:22 UTC
> [!]: License field in the package spec file matches the actual license.
> So GPLv2 deducted.

Fixed

> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/horde
> Require horde needed.

Requires:       php-pear(%{pear_channel}/horde) >= 5.0.0
Requires:       php-pear(%{pear_channel}/horde) <  6.0.0

> [!]: Package consistently uses macros (instead of hard-coded directory
> names).
> Please replace:
> %setup -q -c -T
> tar xif %{SOURCE0}

This was required by a broken archive in previous version
Fixed.

[!]: %check is present and all tests pass.

Have to wait for next major version of the Framework.


https://github.com/remicollet/remirepo/commit/93f346f2336fa4bdd4fc79cd10f2a2442813b89e

Spec: https://raw.githubusercontent.com/remicollet/remirepo/93f346f2336fa4bdd4fc79cd10f2a2442813b89e/php/horde/php-horde-nag/php-horde-nag.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-horde-nag-4.1.4-2.remi.src.rpm

Comment 3 Pavel Alexeev 2014-05-16 15:49:26 UTC
You forgot:
[!]: Packages should try to preserve timestamps of original installed files.
Timestamp on package.xml mangled in %prep did not preserved.

Comment 5 Pavel Alexeev 2014-05-16 16:44:43 UTC
So, all required issues fixed. Please clean spec on import please.

Package APPROVED.

Comment 6 Remi Collet 2014-05-16 17:02:17 UTC
Great thanks for the review.

New Package SCM Request
=======================
Package Name: php-horde-nag
Short Description: A web based task list manager 
Upstream URL: php-horde-nag
Owners: remi
Branches: fc20 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-05-16 17:41:33 UTC
WARNING: Invalid branch fc20 requested
WARNING: Upstream URL seems to be invalid

Comment 8 Remi Collet 2014-05-16 18:21:48 UTC
New Package SCM Request
=======================
Package Name: php-horde-nag
Short Description: A web based task list manager 
Upstream URL: http://www.horde.org/apps/nag
Owners: remi
Branches: f20 el6 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-05-16 19:01:19 UTC
Git done (by process-git-requests).

Comment 10 Remi Collet 2014-05-17 05:04:14 UTC
Build done in rawhide/epel7

Will push in stable fc20/epel6 with all the other apps for consistency.

Comment 11 Fedora Update System 2014-05-19 15:12:14 UTC
php-horde-nag-4.1.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-nag-4.1.4-3.el6

Comment 12 Fedora Update System 2014-05-19 15:15:49 UTC
php-horde-nag-4.1.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-nag-4.1.4-3.fc20

Comment 13 Fedora Update System 2014-06-05 04:24:03 UTC
php-horde-nag-4.1.4-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-06-11 23:36:54 UTC
php-horde-nag-4.1.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.